@(title: String, authToken: String)
<!DOCTYPE html>
<html>
    <head>
        @head(title)
    <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("stylesheets/pages/sample.css")">
    </head>
    <body>
        <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
            <div class="container-fluid">
                <div class="navbar-header">
                    <a class="navbar-brand" href="#">XiVO - ConfigMGT API sample page</a>
                </div>
                <div class="navbar-collapse collapse">
                    <div class="navbar-form navbar-right" id="cmgt_logon_panel">
                        <div class="form-group">
                            <label for="cmgt_username"></label><input type="text" placeholder="Username" class="form-control" id="cmgt_username">
                        </div>
                        <div class="form-group">
                            <label for="cmgt_password"></label><input type="password" placeholder="Password" class="form-control" id="cmgt_password">
                        </div>
                        <button class="btn-custom btn-success-custom" id="cmgt_sign_in">Sign in</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid">
            <div id="welcome">
                <h5><i>Welcome to the ConfigMGT's API sample page!</i></h5>
                <h5 class="pull-left"><i>Please log in to continue.</i></h5>
                <br><br>
            </div>
            <div id="main_errors"></div>
            <button class="btn btn-warning pull-right" id="cmgt_restart">Restart</button>
            <input type="hidden" class="form-control" id="cmgt_auth_token" value="@authToken">
        </div>
        <div class="container-fluid" id="last_phone_event">
        </div>

        <div class="container-fluid">
            <ul class="nav nav-tabs" role="tablist" id="nav-tabs">
                <li role="presentation" class="active"><a href="#callbacks" aria-controls="callbacks" role="tab" data-toggle="tab">Callbacks</a></li>
                <li role="presentation"><a href="#users" aria-controls="users" role="tab" data-toggle="tab">Users</a></li>
                <li role="presentation"><a href="#line" aria-controls="line" role="tab" data-toggle="tab">User Line</a></li>
                <li role="presentation"><a href="#meetingrooms" aria-controls="line" role="tab" data-toggle="tab">Meeting Rooms</a></li>
            </ul>

            <div class="tab-content" id="tab-content">
                <div role="tabpanel" class="tab-pane active" id="callbacks">
                    <div class="row">
                        <div class="col-md-3">
                            <h3>Create Callbacks List</h3>
                            <div class="col-sm-12">
                                <h4>Create callbacks list filters</h4>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">name</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccl_name"></label><input type="text" class="form-control" id="cmgt_ccl_name" placeholder="The name of the list">
                                </div>
                                <label class="col-sm-4 control-label">queueId</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccl_queueId"></label><input type="number" class="form-control" id="cmgt_ccl_queueId" placeholder="The queue to affect the callback requests">
                                </div>
                            </div>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_create_callbacks_list"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_get_create_callbacks_list">Create Callbacks List</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="create_callbacks_list"></ul>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <h3>Get Callbacks List</h3>
                            <div class="col-sm-12">
                                <h4>Get callbacks list filters</h4>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">withRequest</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_gcl_withRequest"></label>
                                    <select class="form-control" id="cmgt_gcl_withRequest">
                                        <option value="">With request?</option>
                                        <option value="true">true</option>
                                        <option value="false">false</option>
                                    </select>
                                </div>
                            </div>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_get_callbacks_list"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_get_get_callbacks_list">Get Callbacks List</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="get_callbacks_list"></ul>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <h3>Delete Callbacks List</h3>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">uuid</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_dcl_uuid"></label><input type="text" class="form-control" id="cmgt_dcl_uuid" placeholder="ID of the list to delete">
                                </div>
                            </div>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_delete_callbacks_list"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_get_delete_callbacks_list">Delete Callbacks List</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="delete_callbacks_list"></ul>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <h3>Import Callbacks Requests</h3>
                            <div class="col-sm-12">
                                <h4>Import callbacks requests filters</h4>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">listUuid</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_icr_listUuid"></label><input type="text" class="form-control" id="cmgt_icr_listUuid" placeholder="ID of the callback list">
                                </div>
                                <label class="col-sm-4 control-label">CSV file</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_icr_file"></label><input type="file" class="form-control" id="cmgt_icr_file" placeholder="Import CSV File...">
                                </div>
                            </div>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_import_callbacks_requests"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_get_import_callbacks_requests">Import Callbacks Requests</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="import_callbacks_requests"></ul>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <h3>Create Callbacks Requests</h3>
                            <div class="col-sm-12">
                                <h4>Create callbacks requests filters</h4>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">listUuid</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_listUuid"></label><input type="text" class="form-control" id="cmgt_ccr_listUuid" placeholder="ID of the callback list">
                                </div>
                                <label class="col-sm-4 control-label">phoneNumber</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_phoneNumber"></label><input type="text" class="form-control" id="cmgt_ccr_phoneNumber" placeholder="Phone number">
                                </div>
                                <label class="col-sm-4 control-label">mobilePhoneNumber</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_mobilePhoneNumber"></label><input type="text" class="form-control" id="cmgt_ccr_mobilePhoneNumber" placeholder="Mobile phone number">
                                </div>
                                <label class="col-sm-4 control-label">firstName</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_firstName"></label><input type="text" class="form-control" id="cmgt_ccr_firstName" placeholder="First name">
                                </div>
                                <label class="col-sm-4 control-label">lastName</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_lastName"></label><input type="text" class="form-control" id="cmgt_ccr_lastName" placeholder="Last name">
                                </div>
                                <label class="col-sm-4 control-label">company</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_company"></label><input type="text" class="form-control" id="cmgt_ccr_company" placeholder="Company">
                                </div>
                                <label class="col-sm-4 control-label">description</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_description"></label><input type="text" class="form-control" id="cmgt_ccr_description" placeholder="Description">
                                </div>
                                <label class="col-sm-4 control-label">dueDate</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_dueDate"></label><input type="date" class="form-control" id="cmgt_ccr_dueDate" placeholder="Due date">
                                </div>
                                <label class="col-sm-4 control-label">period</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_ccr_period"></label><input type="text" class="form-control" id="cmgt_ccr_period" placeholder="Period">
                                </div>
                            </div>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_create_callback_request"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_get_create_callback_request">Create Callbacks Requests</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="create_callback_request"></ul>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <h3>Find Callback Request</h3>
                            <div class="col-sm-12">
                                <h4>Find callback request filters</h4>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">offset</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_fcr_offset"></label><input type="number" class="form-control" id="cmgt_fcr_offset" placeholder="Offset (for pagination)">
                                </div>
                                <label class="col-sm-4 control-label">limit</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_fcr_limit"></label><input type="number" class="form-control" id="cmgt_fcr_limit" placeholder="Max. number of results">
                                </div>
                                <div class="col-sm-12">
                                    <h4>Dynamic filters to find the callback request</h4>
                                </div>
                                <form role="form">
                                    <div>
                                        <form role="form" class="form-inline">
                                            <div id="cmgt_fcr_filters"></div>
                                        </form>
                                    </div>
                                </form>
                                <br>
                                <small>Press <span class="glyphicon glyphicon-plus gs"></span> for another dynamic filter</small>
                            </div>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_find_callback_request"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_get_find_callback_request">Find Callback Request</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="find_callback_request"></ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane" id="users">
                <div class="row">
                    <div class="col-md-6">
                        <h3>Get Xivo Users List</h3>
                        <div class="marginBottom">
                            <button class="btn btn-danger" id="cmgt_clean_get_user_list"><span class="glyphicon glyphicon-remove-circle"></span></button>
                            <button class="btn-custom btn-success-custom" id="cmgt_get_user_list">Get All</button>
                        </div>
                        <div class="marginBottom">
                            <ul class="list-group" id="get_user_list"></ul>
                        </div>

                        <h3>User preferences</h3>
                        <div class="marginBottom">
                            <label class="col-sm-4 control-label" for="cmgt_preferences-user-id">User Id</label>
                            <div class="col-sm-8">
                                <input type="number" class="form-control" id="cmgt_preferences-user-id" placeholder="User Id">
                            </div>
                            <label class="col-sm-4 control-label" for="cmgt_preferences_key">Preference key</label>
                            <div class="col-sm-8" >
                                <input type="text" class="form-control" id="cmgt_preferences_key" placeholder="Name of the key for the preference">
                            </div>
                            <label class="col-sm-4 control-label" for="cmgt_preferences_value">Preference value</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="cmgt_preferences_value" placeholder="Value for the preference">
                            </div>
                            <label class="col-sm-4 control-label" for="cmgt_preferences_type">Value type</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="cmgt_preferences_type" placeholder="Type of the preference value">
                            </div>
                            <button class="btn btn-danger" id="cmgt_clean_get_user_preferences"><span class="glyphicon glyphicon-remove-circle"></span></button>
                            <button class="btn-custom btn-success-custom" id="cmgt_get_user_preferences">Get all</button>
                            <button class="btn-custom btn-success-custom" id="cmgt_get_user_preference">Get</button>
                            <button class="btn-custom btn-success-custom" id="cmgt_create_user_preference">Create</button>
                            <button class="btn-custom btn-success-custom" id="cmgt_update_user_preference">Update</button>
                            <button class="btn-custom btn-success-custom" id="cmgt_delete_user_preference">Delete</button>
                        </div>
                        <div class="marginBottom">
                            <ul class="list-preferences" id="get-user-preferences"></ul>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <h3>Find Xivo Users Request</h3>
                        <div class="col-sm-12">
                            <h4>Find user request filters</h4>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label">offset</label>
                            <div class="col-sm-8">
                                <label for="cmgt_fcr_offset"></label><input type="number" class="form-control" id="cmgt_fur_offset" placeholder="Offset (for pagination)">
                            </div>
                            <label class="col-sm-4 control-label">limit</label>
                            <div class="col-sm-8">
                                <label for="cmgt_fcr_limit"></label><input type="number" class="form-control" id="cmgt_fur_limit" placeholder="Max. number of results">
                            </div>
                            <div class="col-sm-12">
                                <h4>Dynamic filters to find users</h4>
                            </div>
                            <form role="form">
                                <div>
                                    <form role="form" class="form-inline">
                                        <div id="cmgt_fur_filters"></div>
                                    </form>
                                </div>
                            </form>
                            <small>Press <span class="glyphicon glyphicon-plus gs"></span> for another dynamic filter</small>
                        </div>
                        <div class="marginBottom">
                            <button class="btn btn-danger" id="cmgt_clean_find_users"><span class="glyphicon glyphicon-remove-circle"></span></button>
                            <button class="btn-custom btn-success-custom" id="cmgt_get_find_users">Find</button>
                        </div>
                        <div class="marginBottom">
                            <ul class="list-group" id="find_users"></ul>
                        </div>
                    </div>
                </div>
            </div>
                <div role="tabpanel" class="tab-pane" id="line">
                    <div class="row">
                        <div class="col-md-3">
                            <h3>Get Xivo User Line</h3>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">user Id</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_gul_userid"></label><input type="text" class="form-control" id="cmgt_gul_userid" placeholder="ID of XiVO user">
                                </div>
                            </div>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_get_user_line"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_get_user_line">Get</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="get_user_line"></ul>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <h3>Create/Update Xivo User Line</h3>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">user Id</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_uul_userid"></label><input type="text" class="form-control" id="cmgt_uul_userid" placeholder="ID of XiVO user">
                                </div>
                                <h4>Line information</h4>
                                <label class="col-sm-4 control-label">lineType</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_uul_lineType"></label>
                                    <select class="form-control" id="cmgt_uul_lineType">
                                        <option value="phone">Phone</option>
                                        <option value="webrtc">Webrtc</option>
                                        <option value="ua">UA</option>
                                        <option value="sccp">SCCP</option>
                                        <option value="custom">Custom</option>
                                    </select>
                                </div>
                                <label class="col-sm-4 control-label">Extension</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_uul_extension"></label><input type="text" class="form-control" id="cmgt_uul_extension" placeholder="Phone number e.g. 1000">
                                </div>
                                <label class="col-sm-4 control-label">Context</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_uul_context"></label><input type="text" class="form-control" id="cmgt_uul_context" placeholder="e.g. default">
                                </div>
                                <label class="col-sm-4 control-label">Site</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_uul_site"></label><input type="text" class="form-control" id="cmgt_uul_site" placeholder="e.g. default">
                                </div>
                                <label class="col-sm-4 control-label">Device</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_uul_device"></label><input type="text" class="form-control" id="cmgt_uul_device" placeholder="(Optional) device hash">
                                </div>
                                <label class="col-sm-4 control-label">Line (N°)</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_uul_device"></label><input type="number" class="form-control" id="cmgt_uul_lineNum" placeholder="Line num" value="1">
                                </div>
                            </div>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_upd_user_line"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_cre_user_line">Create</button>
                                <button class="btn-custom btn-success-custom" id="cmgt_upd_user_line">Update</button>
                            </div>
                            <div class="form-group">
                                <ul class="list-group" id="upd_user_line"></ul>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <h3>Delete Xivo User Line</h3>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">user Id</label>
                                <div class="col-sm-8">
                                    <label for="cmgt_dul_userid"></label><input type="text" class="form-control" id="cmgt_dul_userid" placeholder="ID of XiVO user">
                                </div>
                            </div>
                            <div class="marginBottom">
                                <button class="btn-custom btn-success-custom" id="cmgt_del_user_line">Delete</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane" id="meetingrooms">
                    <div class="row">
                        <div class="col-md-6">
                            <h3>Get Meeting Rooms List</h3>
                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_get_meetingrooms_list"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_get_meetingrooms_list">Get All</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="get_meetingrooms_list"></ul>
                            </div>
                        </div>

                            <div class="col-md-6">
                                <h3>Get Meeting Room</h3>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">room Id</label>
                                    <div class="col-sm-8">
                                        <label for="cmgt_get_meetingroom_userid"></label><input type="text" class="form-control" id="cmgt_get_meetingroom_userid" placeholder="ID of meeting room">
                                    </div>
                                </div>
                                <div class="marginBottom">
                                    <button class="btn btn-danger" id="cmgt_clean_get_meetingroom"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                    <button class="btn-custom btn-success-custom" id="cmgt_get_meetingroom">Get</button>
                                </div>
                                <div class="marginBottom">
                                    <ul class="list-group" id="get_meetingroom"></ul>
                                </div>
                            </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h3>Create/Update meeting room</h3>
                            <label class="col-sm-4 control-label">Id</label>
                            <div class="col-sm-8">
                                <label for="cmgt_create_meetingroom_id"></label><input type="text" class="form-control" id="cmgt_create_meetingroom_id" placeholder="Id of the meeting room">
                            </div>
                            <label class="col-sm-4 control-label">Display name</label>
                            <div class="col-sm-8">
                                <label for="cmgt_create_meetingroom_display_name"></label><input type="text" class="form-control" id="cmgt_create_meetingroom_display_name" placeholder="Display name of the meeting room">
                            </div>
                            <label class="col-sm-4 control-label">Number</label>
                            <div class="col-sm-8">
                                <label for="cmgt_create_meetingroom_number"></label><input type="text" class="form-control" id="cmgt_create_meetingroom_number" placeholder="Number of the meeting room">
                            </div>
                            <label class="col-sm-4 control-label">User Pin</label>
                            <div class="col-sm-8">
                                <label for="cmgt_create_meetingroom_user_pin"></label><input type="text" class="form-control" id="cmgt_create_meetingroom_user_pin" placeholder="User pin of the meeting room">
                            </div>


                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_create_meetingroom"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_create_meetingroom">Create</button>
                                <button class="btn-custom btn-success-custom" id="cmgt_update_meetingroom">Update</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="create_meetingroom"></ul>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <h3>Delete meeting room</h3>
                            <label class="col-sm-4 control-label">id</label>
                            <div class="col-sm-8">
                                <label for="cmgt_delete_meetingroom_id"></label><input type="text" class="form-control" id="cmgt_delete_meetingroom_id" placeholder="Id of the meeting room">
                            </div>

                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_delete_meetingroom"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_delete_meetingroom">Delete</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="delete_meetingroom"></ul>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <h3>Find meeting room</h3>
                            <label class="col-sm-4 control-label">offset</label>
                            <div class="col-sm-8">
                                <label for="cmgt_find_meetingroom_offset"></label><input type="text" class="form-control" id="cmgt_find_meetingroom_offset" placeholder="Offset">
                            </div>
                            <label class="col-sm-4 control-label">limit</label>
                            <div class="col-sm-8">
                                <label for="cmgt_find_meetingroom_limit"></label><input type="text" class="form-control" id="cmgt_find_meetingroom_limit" placeholder="Limit">
                            </div>

                            <div class="col-sm-12">
                                <h4>Dynamic filters to find the meeting rooms</h4>
                            </div>
                            <form role="form">
                                <div>
                                    <form role="form" class="form-inline">
                                        <div id="cmgt_fmr_filters"></div>
                                    </form>
                                </div>
                            </form>
                            <br>
                            <small>Press <span class="glyphicon glyphicon-plus gs"></span> for another dynamic filter</small>

                            <div class="marginBottom">
                                <button class="btn btn-danger" id="cmgt_clean_find_meetingroom"><span class="glyphicon glyphicon-remove-circle"></span></button>
                                <button class="btn-custom btn-success-custom" id="cmgt_find_meetingroom">Find</button>
                            </div>
                            <div class="marginBottom">
                                <ul class="list-group" id="find_meetingroom"></ul>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
        <hr>
        <footer>
            <p>&nbsp;&copy; Avencall 2020</p>
        </footer>
        <script src="@routes.Assets.versioned("javascripts/pages/helper.js")" type="text/javascript"></script>
        <script src="@routes.Assets.versioned("javascripts/pages/sample.js")" type="text/javascript"></script>
    </body>
</html>
